"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerProtectEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player (who is a guardian angel) protects another player.
 *
 * Due to technical limitations, this event cannot be  reverted without advanced
 * "breaking game", therefore it is out of scope of a single `.revert()` function.
 * However, see {@link PlayerCheckProtectEvent} to see about canceling a protection
 * before it happens if you are the host.
 */
class PlayerProtectEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The player that was protected.
     */
    target, 
    /**
     * The duration, in seconds, for how long the player is protected for.
     */
    duration) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.target = target;
        this.duration = duration;
        this.eventName = "player.protect";
    }
}
exports.PlayerProtectEvent = PlayerProtectEvent;
PlayerProtectEvent.eventName = "player.protect";
//# sourceMappingURL=Protect.js.map