import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { AnySystem } from "../../systems/events";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { SystemEvent } from "./SystemEvent";
/**
 * Emitted when a player sabotages a system.
 */
export declare class SystemSabotageEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, SystemEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly system: AnySystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    readonly player: PlayerData<RoomType> | undefined;
    static eventName: "system.sabotage";
    eventName: "system.sabotage";
    constructor(room: RoomType, system: AnySystem<RoomType>, message: RepairSystemMessage | undefined, player: PlayerData<RoomType> | undefined);
}
